Loading...
Searching...
No Matches
RDKit::StructureCheck::AugmentedAtom Struct Reference

`#include <StructChecker.h>`

## Public Member Functions

| AugmentedAtom ()
| AugmentedAtom (const std::string &symbol, const std::string &name, int charge, RadicalType radical, AATopology topology)

## Public Attributes

std::string | AtomSymbol
std::string | ShortName
int | Charge
RadicalType | Radical
AATopology | Topology
std::vector< Ligand > | Ligands

## Detailed Description

Definition at line 76 of file StructChecker.h.

## Constructor & Destructor Documentation

## AugmentedAtom() [1/2]

RDKit::StructureCheck::AugmentedAtom::AugmentedAtom | ( |  | ) |

inline

Definition at line 84 of file StructChecker.h.

References RDKit::StructureCheck::ANY_CHARGE, RDKit::StructureCheck::ANY_RADICAL, Charge, Radical, Topology, and RDKit::StructureCheck::TP_NONE.

## AugmentedAtom() [2/2]

RDKit::StructureCheck::AugmentedAtom::AugmentedAtom | ( | const std::string & | symbol,
|  | const std::string & | name,
|  | int | charge,
|  | RadicalType | radical,
|  | AATopology | topology )

inline

Definition at line 87 of file StructChecker.h.

References AtomSymbol, Charge, Radical, ShortName, symbol, and Topology.

## Member Data Documentation

## AtomSymbol

std::string RDKit::StructureCheck::AugmentedAtom::AtomSymbol

Definition at line 77 of file StructChecker.h.

Referenced by AugmentedAtom().

## Charge

int RDKit::StructureCheck::AugmentedAtom::Charge

Definition at line 79 of file StructChecker.h.

Referenced by AugmentedAtom(), and AugmentedAtom().

## Ligands

std::vector<Ligand> RDKit::StructureCheck::AugmentedAtom::Ligands

Definition at line 82 of file StructChecker.h.

## Radical

RadicalType RDKit::StructureCheck::AugmentedAtom::Radical

Definition at line 80 of file StructChecker.h.

Referenced by AugmentedAtom(), and AugmentedAtom().

## ShortName

std::string RDKit::StructureCheck::AugmentedAtom::ShortName

Definition at line 78 of file StructChecker.h.

Referenced by AugmentedAtom().

## Topology

AATopology RDKit::StructureCheck::AugmentedAtom::Topology

Definition at line 81 of file StructChecker.h.

Referenced by AugmentedAtom(), and AugmentedAtom().

The documentation for this struct was generated from the following file:

- StructChecker.h